import { isAndroid as r, isJSDOM as o } from "../../../../../../../@base-ui_utils@0.2.4_@types_react@18.3.27_react-dom@18.3.1_react@18.3.1__react@18.3.1/node_modules/@base-ui/utils/esm/detectBrowser.js";
function s(i) {
  i.preventDefault(), i.stopPropagation();
}
function e(i) {
  return "nativeEvent" in i;
}
function p(i) {
  return i.mozInputSource === 0 && i.isTrusted ? !0 : r && i.pointerType ? i.type === "click" && i.buttons === 1 : i.detail === 0 && !i.pointerType;
}
function c(i) {
  return o ? !1 : !r && i.width === 0 && i.height === 0 || r && i.width === 1 && i.height === 1 && i.pressure === 0 && i.detail === 0 && i.pointerType === "mouse" || // iOS VoiceOver returns 0.333• for width/height.
  i.width < 1 && i.height < 1 && i.pressure === 0 && i.detail === 0 && i.pointerType === "touch";
}
function d(i, t) {
  const u = ["mouse", "pen"];
  return t || u.push("", void 0), u.includes(i);
}
function f(i) {
  const t = i.type;
  return t === "click" || t === "mousedown" || t === "keydown" || t === "keyup";
}
export {
  f as isClickLikeEvent,
  d as isMouseLikePointerType,
  e as isReactEvent,
  p as isVirtualClick,
  c as isVirtualPointerEvent,
  s as stopEvent
};
